Great but needs update Rated 5 out of 5 stars

I guess someone couldn't wait. The Autocomplete add-on extension has been forked to the Cootua Autocomplete at https://addons.mozilla.org/en-US/firefox/addon/8659 and is FF 3.1x ready. hoowever that addon does not work for me in FF 3.1b3 and the Cootua website is under construction. The user can enable and disable bookmark, history or optional search of the Cootua Community. At least it's compatible with 3.1x

So after uninstalling the Cootua forked version, I re-enabled Autocomplete Manager and it works just fine with FF 3.1b3. Now I need to evaluate it against Peers at https://addons.mozilla.org/en-US/firefox/addon/6589 or similar tools.